import React from "react";
import Player from "./player/Player";

import "./App.css";
import InputBar from "./url/InputBar";
import { Box, Container, Grid } from "@material-ui/core";
import ConnectionStatusBar from "./connectionstatus/ConnectionStatusBar";
import PlayerButtonBar from "./player/PlayerButtonBar";

function App() {
  return (
    <Container maxWidth={window.innerWidth >= 2000 ? "xl" : "lg"}>
      <Box my={0}>
        <Grid container spacing={1}>
          <Grid item xs={12}>
            <ConnectionStatusBar />
          </Grid>
          <Grid item xs={12}>
            <InputBar />
          </Grid>
          <Grid item xs={12}>
            <Player />
          </Grid>
          <Grid item xs={12}>
            <PlayerButtonBar />
          </Grid>
        </Grid>
      </Box>
    </Container>
  );
}

export default App;
