import { connect } from "react-redux";
import { RootState } from "../store/store";
import { selectConnected } from "./ConnectionStatusSlice";

import React from "react";
import { createStyles, makeStyles, Theme } from "@material-ui/core/styles";
import AppBar from "@material-ui/core/AppBar";
import Toolbar from "@material-ui/core/Toolbar";
import Typography from "@material-ui/core/Typography";

const useStyles = makeStyles((theme: Theme) =>
  createStyles({
    root: {
      flexGrow: 1,
    },
    title: {
      flexGrow: 1,
    },
  })
);

interface StateProps {
  connected: boolean | null;
}

export type Props = StateProps;

export function ConnectionStatusBar(props: Props) {
  function TypographyHelper() {
    console.log(props.connected);
    if (props.connected === true) {
      return (
        <Typography variant="h6" className={classes.title}>
          Connected to server
        </Typography>
      );
    } else if (props.connected === false) {
      return (
        <Typography
          style={{ color: "red" }}
          variant="h6"
          className={classes.title}
        >
          Lost connection to server
        </Typography>
      );
    } else if (props.connected === null) {
      return (
        <Typography
          style={{ color: "red" }}
          variant="h1"
          className={classes.title}
        >
          Server is offline, pls restart website to connect
        </Typography>
      );
    }
  }

  const classes = useStyles();
  return (
    <div className={classes.root}>
      <AppBar position="static" color="default">
        <Toolbar variant="dense">{TypographyHelper()}</Toolbar>
      </AppBar>
    </div>
  );
}

const mapStateToProps = (state: RootState): StateProps => ({
  connected: selectConnected(state),
});

export default connect(mapStateToProps)(ConnectionStatusBar);
