import { createSlice, PayloadAction } from "@reduxjs/toolkit";
import { RootState } from "../store/store";

export interface ConnectionStatusState {
  connected: boolean | null;
}

export const initialState: ConnectionStatusState = {
  connected: null,
};

export type ConnectionStatusAction = PayloadAction<boolean>;

export const ConnectionStatusStateSlice = createSlice({
  name: "connectionStatus",
  initialState,
  reducers: {
    setConnectionStatus: (
      state: ConnectionStatusState,
      action: ConnectionStatusAction
    ): void => {
      state.connected = action.payload;
    },
  },
});

export const { setConnectionStatus } = ConnectionStatusStateSlice.actions;

export const selectConnected = (state: RootState) =>
  state.connectionStatus.connected;

export default ConnectionStatusStateSlice.reducer;
