import React from "react";
import ReactDOM from "react-dom";
import "./index.css";
import App from "./App";
import { store } from "./store/store";
import { Provider } from "react-redux";
import { createMuiTheme, MuiThemeProvider } from "@material-ui/core";
import CssBaseline from "@material-ui/core/CssBaseline";

const theme = createMuiTheme({
  spacing: 8,
  palette: {
    type: "dark",
  },
});

ReactDOM.render(
  <React.StrictMode>
    <MuiThemeProvider theme={theme}>
      <CssBaseline />
      <React.Fragment>
        <Provider store={store}>
          <App />
        </Provider>
      </React.Fragment>
    </MuiThemeProvider>
  </React.StrictMode>,
  document.getElementById("root")
);
