import React from "react";
import { connect } from "react-redux";
import { Button } from "@material-ui/core";

export type Props = {
  icon: JSX.Element;
  content: string;
  onClick:
    | ((event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void)
    | undefined;
};

class PlayerControlButton extends React.Component<Props> {
  render() {
    return (
      <Button
        size="large"
        variant="contained"
        onClick={this.props.onClick}
        startIcon={this.props.icon}
      >
        {this.props.content}{" "}
      </Button>
    );
  }
}

export default connect(null, null)(PlayerControlButton);
