import React from "react";
import { connect } from "react-redux";
import PlayerControlButton from "./PlayerControlButton";
import PlayArrow from "@material-ui/icons/PlayArrow";

import { requestPlay } from "../backendconnection/communication";

interface DispatchProps {
  play: () => void;
}

export type Props = DispatchProps;

class StartButton extends React.Component<Props> {
  render() {
    return (
      <PlayerControlButton
        icon={<PlayArrow />}
        content="Playing!"
        onClick={this.props.play}
      ></PlayerControlButton>
    );
  }
}

const mapDispatchToProps = (dispatch: any): DispatchProps => ({
  play(): void {
    dispatch(requestPlay);
  },
});

export default connect(null, mapDispatchToProps)(StartButton);
