import React from "react";
import { connect } from "react-redux";
import PlayerControlButton from "./PlayerControlButton";
import Pause from "@material-ui/icons/Pause";

import { requestPause } from "../backendconnection/communication";

interface DispatchProps {
  stop: () => void;
}

export type Props = DispatchProps;

class StopButton extends React.Component<Props> {
  render() {
    return (
      <PlayerControlButton
        icon={<Pause />}
        content="Stop!"
        onClick={this.props.stop}
      ></PlayerControlButton>
    );
  }
}

const mapDispatchToProps = (dispatch: any): DispatchProps => ({
  stop(): void {
    dispatch(requestPause);
  },
});

export default connect(null, mapDispatchToProps)(StopButton);
