import React from "react";
import { connect } from "react-redux";
import PlayerControlButton from "./PlayerControlButton";
import Sync from "@material-ui/icons/Sync";

import { requestSyncAll } from "../backendconnection/communication";

interface DispatchProps {
  sync: () => void;
}

export type Props = DispatchProps;

class SyncAllButton extends React.Component<Props> {
  render() {
    return (
      <PlayerControlButton
        icon={<Sync />}
        content="Sync all!"
        onClick={this.props.sync}
      ></PlayerControlButton>
    );
  }
}

const mapDispatchToProps = (dispatch: any): DispatchProps => ({
  sync(): void {
    dispatch(requestSyncAll);
  },
});

export default connect(null, mapDispatchToProps)(SyncAllButton);
