import React from "react";
import { connect } from "react-redux";

import { Button, Grid } from "@material-ui/core";

interface ComponentProps {
  onChangeFunc: (event: React.ChangeEvent<HTMLInputElement>) => void;
}

export type Props = ComponentProps;

class UploadButton extends React.Component<Props> {
  // We need a random id for the text field
  id: string;

  constructor(props: Props) {
    super(props);
    this.id = Math.random().toString(16).slice(-13);
  }

  render() {
    return (
      <Grid>
        <input
          hidden
          id={this.id}
          type="file"
          accept="*"
          onChange={this.props.onChangeFunc}
        />
        <label htmlFor={this.id}>
          <Button
            className="urlElemHeight"
            size="large"
            variant="outlined"
            fullWidth
            style={{ display: "flex" }}
            component="span"
          >
            From local
          </Button>
        </label>
      </Grid>
    );
  }
}

export default connect(null, null)(UploadButton);
