import { createSlice, PayloadAction } from "@reduxjs/toolkit";
import { RootState } from "../store/store";

export interface UrlState {
  url: string;
  subtitleFile: string;
}

const initialState: UrlState = {
  url: "",
  subtitleFile: "",
};

export type UrlAction = PayloadAction<string>;

export const UrlSlice = createSlice({
  name: "url",
  initialState,
  reducers: {
    setUrl: (state: UrlState, action: UrlAction): void => {
      console.log("set url: " + action.payload);
      state.url = action.payload;
    },
    setSubtitleFile: (state: UrlState, action: UrlAction): void => {
      console.log("set subtitles: " + action.payload);
      state.subtitleFile = action.payload;
    },
  },
});

export const { setUrl, setSubtitleFile } = UrlSlice.actions;

export const selectUrl = (state: RootState) => state.url.url;
export const selectSubtibleFile = (state: RootState) => state.url.subtitleFile;

export default UrlSlice.reducer;
