import React from "react";
import { connect } from "react-redux";

import "./style.css";

import { TextField } from "@material-ui/core";

interface ComponentProps {
  label: string;
  value: string;
  onChangeFunc: (event: React.ChangeEvent<HTMLInputElement>) => void;
}

export type Props = ComponentProps;

class UrlTextfield extends React.Component<Props> {
  // We need a random id for the text field
  id: string;

  constructor(props: Props) {
    super(props);
    this.id = Math.random().toString(16).slice(-13);
  }

  render() {
    return (
      <TextField
        className="urlElemHeight"
        label={this.props.label}
        variant="outlined"
        fullWidth
        value={this.props.value}
        onChange={this.props.onChangeFunc}
      />
    );
  }
}

export default connect(null, null)(UrlTextfield);
